Update event
curl --request PUT \
--url https://apix.us.amity.co/api/v1/events/{eventId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"location": "<string>",
"externalUrl": "<string>",
"coverImageFileId": "<string>",
"tags": [
"<string>"
],
"status": "cancelled",
"metadata": {}
}
'import requests
url = "https://apix.us.amity.co/api/v1/events/{eventId}"
payload = {
"title": "<string>",
"description": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"location": "<string>",
"externalUrl": "<string>",
"coverImageFileId": "<string>",
"tags": ["<string>"],
"status": "cancelled",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
startTime: '2023-11-07T05:31:56Z',
endTime: '2023-11-07T05:31:56Z',
location: '<string>',
externalUrl: '<string>',
coverImageFileId: '<string>',
tags: ['<string>'],
status: 'cancelled',
metadata: {}
})
};
fetch('https://apix.us.amity.co/api/v1/events/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"eventId": "<string>",
"userId": "<string>",
"userInternalId": "<string>",
"userPublicId": "<string>",
"publisherId": "<string>",
"publisherInternalId": "<string>",
"publisherPublicId": "<string>",
"title": "<string>",
"description": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"location": "<string>",
"externalUrl": "<string>",
"coverImageFileId": "<string>",
"originId": "<string>",
"discussionCommunityId": "<string>",
"postId": "<string>",
"path": "<string>",
"isOriginPublic": true,
"rsvpCount": 123,
"interestedCount": 123,
"tags": [
"<string>"
],
"metadata": {},
"isDeleted": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"users": [
{
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "<string>",
"path": "<string>",
"userInternalId": "<string>",
"userPublicId": "<string>",
"roles": [
"<string>"
],
"permissions": [],
"displayName": "<string>",
"profileHandle": "<string>",
"description": "<string>",
"avatarFileId": "<string>",
"avatarCustomUrl": "<string>",
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"metadata": {},
"isGlobalBan": true,
"isBrand": true,
"isDeleted": true
}
],
"files": [
{
"fileId": "<string>",
"fileUrl": "<string>",
"accessType": "public",
"altText": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attributes": {
"name": "<string>",
"extension": "<string>",
"size": 123,
"mimeType": "<string>",
"metadata": {
"exif": {},
"gps": {},
"height": 123,
"width": 123,
"isFull": true
}
}
}
],
"communities": [
{
"communityId": "<string>",
"channelId": "<string>",
"displayName": "<string>",
"_id": "<string>",
"path": "<string>",
"userId": "<string>",
"userPublicId": "<string>",
"userInternalId": "<string>",
"avatarFileId": "<string>",
"description": "<string>",
"isOfficial": true,
"isPublic": true,
"onlyAdminCanPost": true,
"tags": [
"<string>"
],
"metadata": {},
"postsCount": 123,
"membersCount": 123,
"isJoined": true,
"categoryIds": [
"<string>"
],
"isDeleted": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hasFlaggedComment": false,
"hasFlaggedPost": false,
"needApprovalOnPostCreation": false,
"moderatorMemberCount": 123,
"allowCommentInStory": true,
"isDiscoverable": false,
"requiresJoinApproval": false
}
],
"posts": [
{
"postId": "<string>",
"data": {
"title": "<string>",
"text": "<string>",
"fileId": "<string>",
"thumbnailFileId": "<string>",
"videoFileId": {
"original": "<string>",
"low": "<string>",
"medium": "<string>",
"high": "<string>"
},
"streamId": "<string>"
},
"_id": "<string>",
"path": "<string>",
"parentPostId": "<string>",
"postedUserId": "<string>",
"postedUserPublicId": "<string>",
"postedUserInternalId": "<string>",
"sharedUserId": "<string>",
"sharedCount": 123,
"targetId": "<string>",
"targetPublicId": "<string>",
"targetInternalId": "<string>",
"dataType": "text",
"metadata": {},
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"editedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"reactions": {
"like": 1
},
"reactionsCount": 1,
"myReactions": [
"like"
],
"commentsCount": 1,
"comments": [
"<string>"
],
"children": [
"<string>"
],
"childrenNumber": 123,
"isDeleted": false,
"hasFlaggedComment": false,
"hasFlaggedChildren": false,
"feedId": "<string>",
"tags": [
"<string>"
],
"hashtags": [
"technology",
"programming",
"web_development",
"JavaScript",
"AI_trends"
],
"mentionees": [
{
"type": "user",
"userIds": [
"<string>"
],
"userPublicIds": [
"<string>"
],
"userInternalIds": [
"<string>"
]
}
],
"impression": 123,
"reach": 123,
"structureType": "text"
}
],
"rooms": [
{
"_id": "<string>",
"targetId": "<string>",
"referenceType": "post",
"referenceId": "<string>",
"liveChannelId": "<string>",
"liveChatEnabled": true,
"title": "<string>",
"roomId": "<string>",
"description": "<string>",
"thumbnailFileId": "<string>",
"participants": [
{
"userId": "<string>",
"userInternalId": "64be1f6cb9b4106b5a6bbf3f"
}
],
"livePlaybackUrl": "https://stream.example.com/someid.m3u8?token=token",
"liveThumbnailUrl": "https://image.example.com/someid/thumbnail.png?token=token",
"recordedPlaybackInfos": [
{
"url": "https://apix.eu.amity.co/api/v1/rooms/roomid/recorded/someid/watch",
"thumbnailUrl": "https://apix.eu.amity.co/api/v1/rooms/roomid/recorded/someid/thumbnail"
}
],
"durationSeconds": 123,
"moderation": {
"flagLabels": [
{
"category": "<string>",
"threshold": 123,
"detectedAt": "2023-11-07T05:31:56Z"
}
],
"terminateLabels": [
{
"category": "<string>",
"threshold": 123,
"detectedAt": "2023-11-07T05:31:56Z"
}
],
"updatedAt": "2023-11-07T05:31:56Z"
},
"parentRoomId": "<string>",
"childRoomIds": [],
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"creatorInternalId": "64be1f6cb9b4106b5a6bbf3f",
"updatedAt": "2023-11-07T05:31:56Z",
"liveAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"recordedAt": "2023-11-07T05:31:56Z",
"isDeleted": true,
"deletedAt": "2023-11-07T05:31:56Z",
"deletedBy": "<string>",
"path": "<string>",
"metadata": {}
}
]
}{
"status": "error",
"code": 400000,
"message": "Bad Request."
}{
"status": "error",
"code": 400300,
"message": "Forbidden error."
}{
"status": "error",
"code": 400400,
"message": "Resource Not Found."
}{
"status": "error",
"code": 400311,
"message": "RateLimit Exceed."
}{
"status": "error",
"code": 500000,
"message": "Unexpected error"
}Event
Update event
Update event details. Only the event creator or admin can update.
Important Notes:
- Start time must be in the future
- End time must be after start time
- Can cancel event by setting status to ‘cancelled’
- Cancelling an event will delete all scheduled reminders
PUT
/
api
/
v1
/
events
/
{eventId}
Update event
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the event
Body
application/json
Required string length:
1 - 60Required string length:
1 - 1000Available options:
virtual, in_person Livestream type for virtual events
Available options:
directStreaming, coHosts Maximum string length:
200Pass an empty string to clear it
Pass an empty string to clear it
Maximum array length:
10Maximum string length:
100Available options:
cancelled ⌘I